For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product

Scrape Allegro product pages by product ID.

The allegro_product source is designed to retrieve Allegro product result pages. We can return the HTML for any Allegro page you like. To see the response example with retrieved data, download this sample output file in HTML format.

Request samples

The samples below illustrates how you can get an Allegro product result.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "allegro_product", 
        "product_id": "16717267254"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'allegro_product',
    'product_id': '16717267254'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Generic

Parameter
Description
Default Value

source

Sets the scraper.

allegro_search

product_id

11-symbol product ID.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info.

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Last updated

Was this helpful?